#!/bin/csh
#
# Copyright (C) 1997, Board of Trustees of the University of Illinois.
#
# Permission is granted to copy and distribute source with out fee.
# Commercialization of this product requires prior licensing from the
# University of Illinois.  Commercialization includes the integration of this 
# code in part or whole into a product for resale.  Free distribution of 
# unmodified source and use of this software is not considered 
# commercialization.

if ($1 == "") then
	echo "Enter directory containing result files"
	exit 0
endif
echo ""
echo ""|gawk '{printf("%20s\tsuccess\t\t\t  time/success (sec)\t   Iterations\n", "problem id")}'
echo ""|gawk '{printf("%20s\t\t\t      ave        min        max          ave\n", " ")}'
echo ""
set all_list=`ls -1 $1/*`
foreach ii ($all_list)
	echo $ii | gawk '{kk=$ii; sub(".*/", "", kk); printf("%20s\t",kk)}'
	grep Best $ii |gawk '{printf("(%s)\t\t", $4)}'
	tail -4 $ii |grep 'Time/suc'| sed 's/,/ /g'| \
		gawk '{printf ("%10.3f %10.3f %10.3f",$5,$10,$12)}'
	tail -4 $ii |grep 'Iter'| sed 's/,/ /g'| gawk '{printf ("%12.0f",$4)}'
	echo ""
end
